roasOS
API referenceWorkflows

Get the finished ad analysis

The analysis document. An analysis that is not finished answers 409 analysis_not_completed.

GET
/v1/workflows/analyses/{id}/result

The analysis document. An analysis that is not finished answers 409 analysis_not_completed.

Authorization

bearerAuth
AuthorizationBearer <token>

API key authentication. Use your API key as the bearer token: Authorization: Bearer roasos_sk_...

In: header

Path Parameters

id*string
Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/workflows/analyses/497f6eca-6276-4993-bfeb-53cbbbba6f08/result"
{  "data": {    "schema_version": "workflow-analysis-result@1",    "kind": "workflow_analysis_result",    "analysis_id": "6ad457ea-9426-4897-bff8-c6f3fe690582",    "workflow": "analyze",    "status": "succeeded",    "analysis_kind": "image",    "cache_disposition": "cache_hit",    "model": "string",    "pricing_version": "string",    "reserved_credits": 0,    "maximum_credits": 0,    "settled_credits": 0,    "completed_at": "2019-08-24T14:15:22Z",    "analysis": {      "property1": null,      "property2": null    },    "measured_cuts": {      "property1": null,      "property2": null    }  }}